#//
#// Qt OpenGL example: Texture
#//
#// File: main.cpp
#//
#// The main() function
#//
#/*
#  The main program is here.
#*/
require "qt2"
include Qt2
require "qt2gl"
include Qt2gl
require "globjwin.rb"
require "gltexobj.rb"

    a = QApplication.new([$0]+ARGV)

    if ( !QGLFormat::hasOpenGL() )
	warning( "This system has no OpenGL support. Exiting." )
	exit -1
    end

    w = GLObjectWindow.new
    w.resize( 400, 350 )
    a.setMainWidget( w )
    w.show()
    a.exec

